Bug 1374535

Summary: OSTree support should be optional
Product: [Fedora] Fedora Reporter: Patrick Uiterwijk <puiterwijk>
Component: sigulAssignee: Patrick Uiterwijk <puiterwijk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mitr, puiterwijk
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: sigul-0.202 sigul-0.202-3.fc25 sigul-0.202-0.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-12 23:55:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Patrick Uiterwijk 2016-09-09 00:15:56 UTC
Currently we fail the build if ostree-devel is unavailable, but practically we could continue and just not have ostree signing available.
This bug is to track implementing this.

Comment 1 Patrick Uiterwijk 2016-10-01 21:56:24 UTC
This has now been made optional, with automatic overridable detection.

Comment 2 Fedora Update System 2016-10-30 21:34:48 UTC
sigul-0.202-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b4fc529

Comment 3 Fedora Update System 2016-10-30 21:35:00 UTC
sigul-0.202-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-05345bee7d

Comment 4 Fedora Update System 2016-10-31 08:52:06 UTC
sigul-0.202-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05345bee7d

Comment 5 Fedora Update System 2016-10-31 10:23:13 UTC
sigul-0.202-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b4fc529

Comment 6 Fedora Update System 2016-12-12 23:55:41 UTC
sigul-0.202-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-12-13 02:24:39 UTC
sigul-0.202-0.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.